> ## Documentation Index
> Fetch the complete documentation index at: https://developer.pagou.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions

> List transactions for reconciliation and operations.

For voucher reconciliation, filter by `paymentMethods=voucher`. Voucher covers Boleto, SPEI/bank transfer, Mercado Pago or other local voucher options, Webpay, CODI, PSE, and similar payment-provider-supported instructions under the same public method.

Use `status=pending` to find open voucher instructions and `status=paid` to reconcile confirmed payments.


## OpenAPI

````yaml api-reference/openapi-v2.json GET /v2/transactions
openapi: 3.1.0
info:
  title: API PIX - v2
  description: API for Pagou.ai Gateway
  version: 2.0.0
  contact:
    name: Support
    url: https://pagou.ai
    email: support@pagou.ai
servers:
  - url: https://api.pagou.ai
    description: Production server
  - url: https://api.sandbox.pagou.ai
    description: Sandbox server for testing
security:
  - BearerAuth: []
  - ApiKeyAuth: []
  - BasicAuth: []
paths:
  /v2/transactions:
    get:
      tags:
        - API - Transactions
      summary: List Transactions
      description: List transactions
      operationId: getTransactions
      parameters:
        - schema:
            type: string
          in: query
          name: cursor
          required: false
        - schema:
            default: 20
            type: number
            minimum: 1
            maximum: 100
          in: query
          name: limit
          required: false
        - schema:
            default: next
            type: string
            enum:
              - next
              - prev
          in: query
          name: direction
          required: false
        - schema:
            nullable: true
            type: string
          in: query
          name: id
          required: false
        - schema:
            nullable: true
            anyOf:
              - type: array
                items:
                  type: string
                  enum:
                    - pix
                    - voucher
                    - credit_card
                  default: pix
                enum:
                  - pix
                  - voucher
                  - credit_card
                default: pix
              - type: string
                nullable: true
                enum:
                  - pix
                  - voucher
                  - credit_card
                default: pix
            enum:
              - pix
              - voucher
              - credit_card
            default: pix
          in: query
          name: paymentMethods
          required: false
        - schema:
            nullable: true
            anyOf:
              - type: array
                items:
                  type: string
                  enum:
                    - ARS
                    - BOB
                    - BRL
                    - CLP
                    - COP
                    - CRC
                    - GTQ
                    - MXN
                    - PYG
                    - PEN
                    - USD
                    - UYU
                  default: BRL
                enum:
                  - ARS
                  - BOB
                  - BRL
                  - CLP
                  - COP
                  - CRC
                  - GTQ
                  - MXN
                  - PYG
                  - PEN
                  - USD
                  - UYU
                default: BRL
              - type: string
                nullable: true
                enum:
                  - ARS
                  - BOB
                  - BRL
                  - CLP
                  - COP
                  - CRC
                  - GTQ
                  - MXN
                  - PYG
                  - PEN
                  - USD
                  - UYU
                default: BRL
            enum:
              - ARS
              - BOB
              - BRL
              - CLP
              - COP
              - CRC
              - GTQ
              - MXN
              - PYG
              - PEN
              - USD
              - UYU
            default: BRL
          in: query
          name: currency
          required: false
        - schema:
            nullable: true
            anyOf:
              - type: array
                items:
                  type: string
              - type: string
                nullable: true
                enum:
                  - null
          in: query
          name: status
          required: false
        - schema:
            nullable: true
            type: string
            enum:
              - waiting
              - in_transit
              - delivered
          in: query
          name: deliveryStatus
          required: false
        - schema:
            nullable: true
            type: number
          in: query
          name: installments
          required: false
        - schema:
            nullable: true
            type: string
          in: query
          name: name
          required: false
        - schema:
            nullable: true
            type: string
          in: query
          name: email
          required: false
        - schema:
            nullable: true
            type: string
          in: query
          name: documentNumber
          required: false
        - schema:
            nullable: true
            type: string
          in: query
          name: phone
          required: false
        - schema:
            nullable: true
            maxItems: 100
            type: array
            items:
              type: string
              minLength: 1
              maxLength: 255
          in: query
          name: products
          required: false
        - schema:
            nullable: true
            type: boolean
          in: query
          name: traceable
          required: false
        - schema:
            nullable: true
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
          in: query
          name: dateFrom
          required: false
        - schema:
            nullable: true
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
          in: query
          name: dateTo
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  requestId:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        buyer:
                          type: object
                          properties:
                            name:
                              type: string
                            email:
                              type: string
                              format: email
                              pattern: >-
                                ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                          required:
                            - name
                            - email
                          additionalProperties: false
                        payment:
                          type: object
                          properties:
                            method:
                              anyOf:
                                - type: string
                                  enum:
                                    - pix
                                    - voucher
                                    - credit_card
                                  default: pix
                                - type: string
                                  enum:
                                    - pix
                                    - voucher
                                    - credit_card
                                  default: pix
                              enum:
                                - pix
                                - voucher
                                - credit_card
                              default: pix
                            currency:
                              type: string
                              enum:
                                - ARS
                                - BOB
                                - BRL
                                - CLP
                                - COP
                                - CRC
                                - GTQ
                                - MXN
                                - PYG
                                - PEN
                                - USD
                                - UYU
                              default: BRL
                            country:
                              type: string
                            external_ref:
                              type: string
                            amount:
                              type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            base_price:
                              type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            installments:
                              nullable: true
                              type: integer
                              minimum: 1
                              maximum: 12
                            fee:
                              nullable: true
                              type: object
                              properties:
                                estimated_fee:
                                  type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                                net_amount:
                                  type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                              required:
                                - estimated_fee
                                - net_amount
                              additionalProperties: false
                            pix:
                              nullable: true
                              type: object
                              properties:
                                qrcode:
                                  nullable: true
                                  type: string
                                endToEnd:
                                  nullable: true
                                  type: string
                              additionalProperties: false
                          required:
                            - method
                            - currency
                            - country
                            - amount
                            - base_price
                          additionalProperties: false
                        status:
                          type: string
                          enum:
                            - authorized
                            - canceled
                            - captured
                            - chargedback
                            - three_ds_required
                            - expired
                            - in_protest
                            - paid
                            - partially_paid
                            - partially_refunded
                            - pending
                            - processing
                            - processed
                            - refunded
                            - med
                            - refused
                        products:
                          type: array
                          items:
                            type: object
                            properties:
                              title:
                                type: string
                              quantity:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              unit_price:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                            required:
                              - title
                              - quantity
                              - unit_price
                            additionalProperties: false
                        paid_at:
                          nullable: true
                          type: string
                          format: date-time
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        attempts_count:
                          default: 1
                          type: integer
                          minimum: 1
                          maximum: 9007199254740991
                      required:
                        - id
                        - buyer
                        - payment
                        - status
                        - products
                        - created_at
                        - updated_at
                        - attempts_count
                      additionalProperties: false
                  next_cursor:
                    nullable: true
                    type: string
                  prev_cursor:
                    nullable: true
                    type: string
                  total:
                    type: number
                required:
                  - success
                  - requestId
                  - data
                  - next_cursor
                  - prev_cursor
                  - total
                additionalProperties: false
        '422':
          description: Validation error (RFC 7807)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
        default:
          description: RFC 7807 Problem Details error response
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
        - BasicAuth: []
components:
  schemas:
    ValidationProblemDetails:
      allOf:
        - $ref: '#/components/schemas/ProblemDetails'
        - type: object
          properties:
            errors:
              type: array
              items:
                type: object
                properties:
                  field:
                    type: string
                  message:
                    type: string
                  code:
                    type: string
                additionalProperties: true
          additionalProperties: true
    ProblemDetails:
      type: object
      description: RFC 7807 Problem Details object.
      properties:
        type:
          type: string
          format: uri-reference
        title:
          type: string
        status:
          type: number
        detail:
          type: string
        instance:
          type: string
          format: uri-reference
      required:
        - type
        - title
        - status
        - detail
      additionalProperties: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    BasicAuth:
      type: http
      scheme: basic
      description: Use Basic auth with username `token` and password `x`.

````